/////////////////////////////////////////////////////////////////////////////
// PluginAudio.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////
#ifndef AUDIOPLUGIN
#define AUDIOPLUGIN

#include <windows.h>

// version actuelle du plugin (de la structure)
#define AUDIO_PLUGIN_VERSION	1011


typedef struct 
{
	int			version;		// W = AUDIO_PLUGIN_VERSION
	char		*description;	// W: Placer ici obligatoirement le nom du plugin suivi d'un espace avec ensuite entre parenthses le nom de l'auteur du plugin...
	HWND		hwndParent;		// R
	HINSTANCE	hDllInstance;	// R

	int Buffers;				// W: nombre de buffer
	int Buflen;					// W: taille du buffer
	int Priorityaudio;			// W: priorit du traitement
	int Soundfreq;				// W: frquence d'echantillonage
	WORD LangID;				// R: Langage courant (obtenu avec MAKELANGID)

	ACCEL *accel;				// W: Liste des raccourcis claviers dfinis
	int NbAccel;				// W: Nombre de raccouris dfinis
	BOOL AutoProcessAudio;

	BOOL (__cdecl *Init)();
	BOOL (__cdecl *Stop)();
	void (__cdecl *Traitement)(PSHORT src, PSHORT dst);

	// 
	void (__cdecl *ShowDialog)();
	HMENU(__cdecl *GetPluginMenu)(BOOL ContextMenu);
	BOOL (__cdecl *ProcessMessage)(UINT message, UINT wParam, LONG lParam, char *OSDDisplay);

} QuenotteTV_AudioPlugin;


#endif

